## org.jfree.report.modules.factories.report.flow
Class OutOfOrderSectionReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
              org.jfree.report.modules.factories.report.flow.SectionReadHandler
                  org.jfree.report.modules.factories.report.flow.OutOfOrderSectionReadHandler

All Implemented Interfaces:
  NodeReadHandler, org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class OutOfOrderSectionReadHandler

extends SectionReadHandler

Creation-Date: 09.04.2006, 14:57:38

Author:
  Thomas Morgner

Constructor Summary
`OutOfOrderSectionReadHandler()` Creates a new generic read handler.

Method Summary
`protected void` `doneParsing()` Done parsing.
`protected Element` `getElement()`
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.jfree.report.modules.factories.report.flow.SectionReadHandler
`characters, configureElement, getHandlerForChild`

Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
`getNode, getObject, getStyle, init, isEnabled`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler
`endElement, startElement`

Constructor Detail

### OutOfOrderSectionReadHandler

    public OutOfOrderSectionReadHandler()

  Creates a new generic read handler. The given namespace and tagname can be arbitary values and should not be confused with the ones provided by the XMLparser itself.

  Parameters:
    `namespace` -
    `tagName` -

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `SectionReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### doneParsing

    protected void doneParsing()
                        throws org.xml.sax.SAXException

  Done parsing.

  Overrides:
    `doneParsing` in class `SectionReadHandler`
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a reader error.

### getElement

    protected Element getElement()

  Overrides:
    `getElement` in class `SectionReadHandler`